# scroll

## Description

Ability to scroll from one component to another in the same long page.

## Input / Parameter

| Name          | Description                                        | Input Type  | Default | Options | Required                             |
| ------------- | -------------------------------------------------- | ----------- | ------- | ------- | ------------------------------------ |
| component     | The name of the component to start scrolling from. | String/Text | -       | -       | Partial (Yes if no 'componentId'.)   |
| componentId   | The id of the component to start scrolling from.   | String/Text | -       | -       | Partial (Yes if no 'component'.)     |
| toComponent   | The name of the component to scroll to.            | String/Text | -       | -       | Partial (Yes if no 'toComponentId'.) |
| toComponentId | The id of the component to scroll to.              | String/Text | -       | -       | Partial (Yes if no 'toComponent'.)   |

**\* Note:** Either component or componentId and toComponent or toComponentId must have value in order for this function to work.

## Output

N/A

## Callback

N/A

## Video

Coming Soon.

## Example

Coming Soon.

### Steps

Coming Soon.

### Result

Coming Soon.

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/app/scroll.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
